/******************************************************************************************/
/*                                   MODIFICHE GENERALI                                   */
/******************************************************************************************/

.page_classi .pages-container {
    background-color: #c3dae9;
}

/*regola che mi permette di sistemare i check del framework nelle classi macchina*/
.check_resize .panel-row-selector {
    margin: 0px 8px !important;
}
.check-caption .panel-field-caption-list {
    background-color: rgb(225, 225, 225) !important;
}

.btn_invia {
    background-image: url(images/326692_send_icon.png) !important;
    background: center;
    background-repeat: no-repeat;
}

.btn_annulla {
    background-image: url(images/352263_cancel_icon_preview_rev_1.png) !important ;
    background: center;
    background-repeat: no-repeat;
}

#wait-box-image {
    padding: 0px;
}

/*  Pulsanti della toolbar arrotondati  */
.panel-toolbar-button, .panel-toolbar-button-hover, .panel-toolbar-button-down {
    border-radius: 10px !important;
}



.frame-toolbar-button, .frame-toolbar-button-hover, .frame-toolbar-button-down{
    border-radius: 10px;
}

/*Definizione dell'icona solution nella parte destra della caption per ogni videata*/
.form-caption-icon {
    background-image: url('images/logoForVideate.png');
    display: inline !important;
    vertical-align: baseline;
    width: 32px;
    height: 25px;
    position: absolute;
    padding-left: 0px;
    margin-left: 4px;
    right:1%;
}

/*Coloriamo la gestione guasti di rosso come nel precedente programma*/
.colore_menu_rosso {
    color: #830101 !important;
}


/*non mostro la caption CMD in alto*/
#header-command-box {
    font-size: 0pt;
    visibility: hidden;
}



/* Arrotondamento degli angoli di TUTTE LE VIDEATE POPUP presenti nel programma */
/*.popup-frame-container{
    border-radius: 15px !important;
}
*/

.bottone_immagini {
    display: inline-block;
    cursor: pointer;
    text-align: center;
    outline: none;
    border: none; 
    border-radius: 15px;
    box-shadow: 0 5px 1px #999999c4;
    background-position: left center;
    text-align: right;
}

.bordoRotondo_Stampa {
  border: 2px solid !important;
  border-radius: 12px;
  padding: 5px;
}



 
/******************************************************************************************/
/*                                    VIDEATA LOGIN                                       */
/******************************************************************************************/
#frm\:1\:frs {
        width: 518px !important;
}
/*                                      COLORE login                                       */
#pan\:1\:1\:fb {
    background-color: #162295 !important;
}

.sfondo_login {
    background-color: #162295 !important;
}

/*                                      BOTTONE ACCEDI                                       */    

#fld\:6\:1\:1\:fc:hover {
    background-color: #747373 !important;
    box-shadow: 0 8px 6px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19) !important;
}    
#fld\:6\:1\:1\:fc{
    border-radius: 10px !important;
}
#fld\:6\:1\:1\:fc:active {
    background-color: #79b51c !important;
}
#fld\:6\:1\:1\:fc{
    border: 1px solid #8a9399;
}

/*                                        PANNELLO di Login                                    */

#frm\:1\:clo{
    margin-left: 16px !important;
    margin-right: 5px;
    margin-top: 5px !important;
}

#frm\:1\:cap{
    height: 19px !important;    
    border-bottom: 0px solid #8A9399 !important;
}

/*                  pulsanti uscita e debug della videata di login spostati a destra              */
#frm\:1\:cap{
    text-align: right !important;
}

#pan\:1\:1{
    background-color: #162295 !important;
}
#pan\:1\:1\:cnt {
    background-color: transparent !important;
    margin: 0px !important;
}

#grp\:0\:1\:1\:lht{
    background-color: #00afbd !important;
}

/*colore della barra contenente il bottone di uscita e di debug della videata di login dello stesso colore di sfondo del pannello*/
#frm\:1\:cap {
    background-color: #162295 !important;
}


/*PROVA Ombreggiatura videata di Login*/

.ombreggiatura_popup {
    box-shadow: -11px 11px 45px 0 #3d3e46 !important;    
}

/**************************************************************************************/
/*             Bottone CONFERMA all'interno dello zoom caratteristiche                */
/**************************************************************************************/

#fld\:6\:1\:23\:lc{
    display: inline-block;
    cursor: pointer;
    text-align: center;
    outline: none;
    border: none; 
    border-radius: 15px;
    box-shadow: 0 6px #999999c4;
}
#fld\:6\:1\:23\:lc:hover {background-color: #dd6b8a !important}
#fld\:6\:1\:23\:lc:active {
    background-color: #ed3c6c !important;
    box-shadow: 0 5px #666;
    transform: translateY(4px);
}

/*  N.B: controllare se mantenere questa modifica della lunghezza dello zoom  */
/* Allungamento dello Zoom caratteristiche per visualizzare correttamente il bottone di conferma */
/*#pan\:1\:23\:lb {
    height:585px !important;
}*/

/* prova nuova regola sfondo trasparente nei check  */
.sfondo_trasparente{
    background-color: transparent !important;
}

/* NUOVA REGOLA: sfondo azzurrino*/
.sfondo_azzurrino{
    background-color: #4abef13b !important;
}

/*FLAG videata tipologia lavori*/
#fld\:7\:1\:12\:fv {
    background-color: transparent !important;
}
#fld\:8\:1\:12\:fv {
    background-color: transparent !important;
}
#fld\:9\:1\:12\:fv {
    background-color: transparent !important;
}

#header-container {
    width: 100%;
    height: 48px;
    color: #ffffff;
    padding: 0px;
    font-size: 12pt;
    line-height: 48px;
    background-color: #283dd3;
    overflow: hidden;
    -webkit-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    -moz-box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    box-shadow: 0px 2px 4px 0px rgba(0,0,0,0.5);
}
.frame-toolbar-container {
    width: 100%;
    height: 24px;
    padding: 8px 0;
    overflow: hidden;
    background-color: #182583;
    color: #ffffff;
    white-space: nowrap;
    overflow: hidden;
}

#wep {
    background-color: rgb(243,243,241);
}

.menu-commandset-level-1 {
    background-color: rgb(200,221,235);
    border-radius: 10px;
}

.menu-commandset-level-1:hover {
    background-color:#78c9ff;
}

.menu-separator-level-1 {
    height: 5px;
}

/* TOOLBAR FORM */
.form-caption-container {
    width: auto !important;
    height: 45px !important;
}
/* FRAMES CONTAINER */
.form-frames-container {
    padding-top: 0px;
}


.menu-command-level-2 {
    background-color: #ffffff;
    border-radius: 10px;
    margin-top: 4px;
}

.menu-command-level-2:hover {
    background-color: #78c9ff;
}

    
/* MENU CONTENENTI CARTELLE CON SOTTOMENU */ 
.menu-commandset-level-2 {
    background-color: #78e8ff0f;
    border-radius: 10px;
    margin-top: 4px;
    margin-bottom: 4px;
    }   

.form-container {
    background-color: rgb(243,243,241);
    box-shadow: none;   
    border: 1px solid #182583;
}

.menu-commandset-level-2:hover {
    background-color: #78c9ff;
}


/* LISTA DELLE VIDEATE APERTE */
.form-list-active-caption, .form-list-active-caption-hl {
    background-color: #283dd3;
    text-align: center;
}

.form-list-caption{
    text-align: center;
}

/*Parte sotto alle VIDEATE APERTE*/
.form-list-header {
    padding-top: 10px;
    padding-bottom: 10px;
    color: #000000;
    font-size: 8pt;
    text-transform: uppercase;
    text-align: center;
}

.form-list-close-all-button, .form-list-close-all-button-hl {
    display: block;
    height: 24px;
    line-height: 24px;
    cursor: pointer;
    text-align: center;
}

.menu-separator-level-1 {
    border-bottom: none;
}

/* PROVA: cos  dovrebbe funzionare correttamente e allargare il giusto la videata modale, per  va impostato per ogni videata, cercare quindi un metodo pi  veloce e diretto! */
#pan\:1\:4 {
    width: 792px !important;
}

  
/******************************************************************************************/
/*                                     MENU' LATERALE                                     */
/******************************************************************************************/

/* arrotondamento degli angoli dei sottomenu contenenti le voci  */
#cmd\:6\:sub{
    border-radius: 8px;
}

#cmd\:20\:sub{
    border-radius: 8px;
}

.submenu-container-level-2 {
    border-radius: 8px;
}

/*Modifica per gli utenti: aumento caratteri per aiutare gli utenti a vedere meglio i men .*/
.menu-command-link-level-3 {
	font-size: 10pt;
}
.menu-command-link-level-4 {
	font-size: 10pt;
}
.menu-commandset-link-level-2 {
	font-size: 10pt !important;
	color: #242eb3;
	line-height: 40px;
}
.menu-commandset-link-level-3 {
	font-size: 10pt !important;
}
.menu-commandset-link-level-3 {
	color: #242eb3;
}

.menu-command-level-3 {
	height: 24px;
}


/*fine*/


/*****************************************************************************************/
/*Modifica 28/07/2022: non utilizziamo questa forma perch  non ci permette di modificare
altri sfondi con colore a piacere. Lo sfondo   modificato per visual style.
modifica generale a tutti i pannelli in dettaglio in modo che larghezza e altezza si adattino e che lo sfondo in dettaglio si azzurrino
.panel-form-container {
    height: 100% !important;
    width: 100% !important;
    background-color: #c3dae9 !Important;
}*/

/*bordo delle videate popup in modo che risaltino su quelle di sfondo*/
.popup-border-thin {
    border: 2px solid #182583 !important;
}


/* Rimpicciolimento del form captin container e adattamento del testo al suo interno */
.form-caption-text {
    height: 34px !important;
    line-height: 17px !important;
}
/*bottone x per l'uscita dai pannelli popup*/
.form-caption-image: {
    margin-top: -14px !important;
}

.frame-toolbar-button, .frame-toolbar-button-hover, .frame-toolbar-button-down{
    border-radius: 10px;
}

/*prova colore login*/
#pan\:1\:1\:fb {
    background-color: #162295 !important;
}

.sfondo_login {
    background-color: #162295 !important;
}

/*Bottone X per chiudere il pannello della scheda macchina*/
#frm\:23\:clo {
    margin-bottom: 21px !important;
}
/*****************************************************************************************************************/
/*Nuova regola per BOTTONE STANDARD - cos  da poterla fare una volta sola e richiamarla nei campi dove necessario*/
/*****************************************************************************************************************/
.bottone_standard {
    display: inline-block;
    cursor: pointer;
    text-align: center;
    outline: none;
    border: none; 
    border-radius: 15px;
    box-shadow: 0 5px 1px #999999c4;
}

.bottone_standard:hover {background-color: #dd6b8a !important;}

.bottone_standard:active{
    background-color: #ed3c6c !important;
    box-shadow: 0 5px 1px #666;
    transform: translateY(4px);
}
/***********************************************************************************************/
/*                         SFONDO TRASPARENTE - sottopannelli Scheda Macchina                  */
/***********************************************************************************************/

/*Rendo pi  visibili le varie pagine delle videate scurendo il bordo delle linguette delle pagine*/
.page-header-container-0{
    border-left: 1px solid #999999;
    border-right: 1px solid #999999;
    border-top: 1px solid #999999;
}

/*                                         Gruppo con bordi                                        */
.group-form-box
.gruppo_bordi {
    border-top: 1px !importan;
    border-left: 1px !important;
    border-top: 1px !important;
    border-bottom: 1px !important;
    border-color: #999999 !important;
}

/*************************************************************************************************/
/*                       Posizione bottone X di chiusura delle videate                           */
/*************************************************************************************************/
.form-caption-image {
    margin-top: -11px !important;
}



/*Arrotondo i bordi del nuovo bottone del recupero attivit  dal cestino*/
#cmd\:40\:img {
    border-radius: 10px !important;
}

/*Arrotondo i bordi del bottone conferma all'interno dello zoom attivit  incluse*/
#cmd\:42\:img {
    border-radius: 10px !important;
}

/*Arrotondo i bordi del bottone comprese*/
#cmd\:41\:img {
    border-radius: 10px !important;
}


/*************************************************************************************************/
/*                       Menù popup                                                              */
/*************************************************************************************************/

.popup-menu-container {
    width: 280px !important;
}


/*************************************************************************************************/
/*                       PAGES                                                                   */
/*************************************************************************************************/

.page-header-container-0 {
    color: #3F51B5;
    background-color: white;
}

span.selected-page-header-container-0 {
    background: aliceblue;
}

.pages-container {
    padding-top: 2px;
    padding-bottom: 2px;
    background: white;
}

.titolo_avvisi1 {
	line-height: 20px !important;
}

.btnstatopren {
    color: black !important;
    background-position-x: 10px !important;
    padding-left: 20px !important;
    background-color: aliceblue !important;
}

.btnstatopren:hover {
    color: black !important;
    background-position-x: 10px !important;
    padding-left: 20px !important;
    background-color: aliceblue !important;
}

.btnstandard {
    color: black !important;
    background-position-x: 10px !important;
    padding-left: 20px !important;
    background-color: white !important;
}


.errori_si_menu {
    color: #830101 !important;
}

/*check nella maschera materiali prelevati che permette di ridimensionare la grandezza del quadrato check*/
.check_pers > .panel-value-check {
    height: 12px !important;
}

.btn_trasp .toolbar-button {
    min-width: 20px;
    background-color: transparent;
}

.btn_pers_toolbar .toolbar-button {
    border-radius: 10px !important;
}


/*bottone con icona centrale sopra l'intestazione*/
.btn_topimage {
    line-height: 80px;
    color: rgb(32, 32, 32) !important;
    height: 55px;
    width: 90pz;
    background-position: top !important;
}

/*bottoni toolbar opzionali (inseriti da un command manuale) tondi*/
.toolbar-frame-image-hl {
    border-radius: 10px !important;
}

.check_list .panel-value-check {
    height: 15px !important;
}

check_list .panel-value-check:disabled {
    height: 15px !important;
}

.altezza_tot.panel-field-static {
    height: 21px !important;
}

.colori_legenda {
   border-radius: 20px !important;
}

.icon_crono.combo-img {
   left: 10px important;
}

//tolgo lo sfondo dalle pagine in generale.
.pages-container {
    background: transparent;
}
.btn_standard:disabled {
    background-blend-mode: luminosity !important;
}
